<?php
/**
 * @package NB attach images
 * @version 1.0
 */
/*
Plugin Name: Update featured images
Plugin URI: https://inmysight.ru
Description: Update featured images with the image from library with the name like a data from one of meta-fields.
Author: Nickita Batischev
Version: 1.0
Author URI: https://inmysight.ru
Text Domain: nb-attach-images
*/

function nb_reattach_page(){
    global $wpdb;
    include 'nb-attach-admin.php'; /* admin menu page comes from here */
}

function nb_reattach_menu()
{
/* creating menu item arguments */
    $page_title = 'Update featured images'; /* Title of admin page*/
    $menu_title = 'Update featured images'; /* Text in admin menu */
    $capability = 'edit_pages'; /* acces rights - read Wordpress manual for details */
    $menu_slug  = 'nb-reattach'; /* slug for url */
    $function   = 'nb_reattach_page'; /* function that runs on menu item click */
    $icon_url   = 'dashicons-universal-access-alt'; /* icon for menu item */
    $position   = 4; /* position in menu */
    add_menu_page( 
        $page_title,
        $menu_title, 
        $capability, 
        $menu_slug, 
        $function, 
        $icon_url, 
        $position 
        );
}

add_action('admin_menu', 'nb_reattach_menu'); /* registering menu item */

?>
